<nav class="navbar navbar-expand-md navbar-dark fixed-top bg-dark">
  <div class="container-fluid">
    <a class="navbar-brand" [routerLink]="['/welcome']">Okta OIDC</a>
    <a  class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarCollapse" aria-controls="navbarCollapse" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </a>
    <div class="collapse navbar-collapse" id="navbarCollapse">
      <ul class="navbar-nav ms-auto mb-2 mb-md-0">
        <li class="nav-item">
          <a class="nav-link" *ngIf="!(authStateService.authState$ | async)?.isAuthenticated" [routerLink]="['/login']" >Login</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="#"  *ngIf="(authStateService.authState$ | async)?.isAuthenticated" (click)="logout()" >Logout</a>
        </li>
      </ul>
    </div>
  </div>
</nav>
